<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		var Caja=function(){
          //propiedades
           this.ancho=0;
           this.alto=0;
           this.texto="vacio";
          //metodos
          this.mensaje=function(){

               this.texto="esto es un ejemplo";
          };

          this.mostrar=function(){

          	alert(this.texto);
          }

		} 
		
	</script>
</head>
<body>
	
</body>
</html>